summaryrefslogtreecommitdiff
path: root/graphics/plotutils/plotutils.SlackBuild
diff options
context:
space:
mode:
authorLuis Henrique <lmello.009@gmail.com>2010-05-13 00:28:09 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-13 00:28:09 +0200
commitac86fd4903b6624421d9d213cbe54e0815216885 (patch)
tree1b6b62ec6b15d6ee914d179c22bf223bf70e003a /graphics/plotutils/plotutils.SlackBuild
parent423eae9d46f6844a3da3462a3e3d8aca7dc2a42f (diff)
downloadslackbuilds-ac86fd4903b6624421d9d213cbe54e0815216885.tar.gz
graphics/plotutils: Updated for version 2.6
Diffstat (limited to 'graphics/plotutils/plotutils.SlackBuild')
-rw-r--r--graphics/plotutils/plotutils.SlackBuild12
1 files changed, 8 insertions, 4 deletions
diff --git a/graphics/plotutils/plotutils.SlackBuild b/graphics/plotutils/plotutils.SlackBuild
index 51323a394a..3cd8f371ac 100644
--- a/graphics/plotutils/plotutils.SlackBuild
+++ b/graphics/plotutils/plotutils.SlackBuild
@@ -5,7 +5,7 @@
# Written by Luis Henrique <lmello.009@gmail.com>
PRGNAM=plotutils
-VERSION=${VERSION:-2.5.1}
+VERSION=${VERSION:-2.6}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -17,10 +17,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e # Exit on most errors
@@ -44,6 +47,7 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
--mandir=/usr/man \
--infodir=/usr/info \
--docdir=/usr/doc/$PRGNAM-$VERSION \
@@ -51,7 +55,7 @@ CXXFLAGS="$SLKCFLAGS" \
--enable-static=no \
--enable-shared=yes \
--enable-libplotter \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
@@ -60,7 +64,7 @@ make install DESTDIR=$PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
)
( cd $PKG/usr/man
@@ -82,4 +86,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}